%define upstream_name	 Net-IMAP-Simple
%define upstream_version 1.2212

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Simple IMAP interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Parse::RecDescent)
BuildArch:  noarch

%description
Perl extension for simple IMAP account handling, 
mostly compatible with Net::POP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %__perl Makefile.PL INSTALLDIRS=vendor 
%make_build CFLAGS="%{optflags}"

%check
# this test is hanging
rm -f t/07_select_and_examine.t 
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/Net

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.221.200-4.mga10
+ Revision: 2205588
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.221.200-3.mga9
+ Revision: 1811591
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.221.200-2.mga8
+ Revision: 1525459
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 1.221.200-1.mga7
+ Revision: 1392504
- update to 1.2212

* Thu Sep 20 2018 umeabot <umeabot> 1.221.0-2.mga7
+ Revision: 1285127
- Mageia 7 Mass Rebuild

* Thu May 17 2018 shlomif <shlomif> 1.221.0-1.mga7
+ Revision: 1230065
- update to 1.2210

* Tue Oct 03 2017 tv <tv> 1.220.900-2.mga7
+ Revision: 1165856
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.220.900-1.mga7
+ Revision: 1157246
- new version 1.2209

* Sun Jun 19 2016 pterjan <pterjan> 1.220.600-3.mga6
+ Revision: 1031089
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.220.600-2.mga6
+ Revision: 968410
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.220.600-1.mga6
+ Revision: 852245
- update to 1.2206

* Sun Oct 19 2014 umeabot <umeabot> 1.220.500-4.mga5
+ Revision: 789548
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.220.500-3.mga5
+ Revision: 742798
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.220.500-2.mga5
+ Revision: 685666
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.220.500-1.mga5
+ Revision: 624353
- update to 1.2205

* Sat Feb 08 2014 sander85 <sander85> 1.220.400-1.mga5
+ Revision: 586683
- update to 1.2204

* Mon Oct 21 2013 umeabot <umeabot> 1.220.200-2.mga4
+ Revision: 539263
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 1.220.200-1.mga4
+ Revision: 491699
- update to 1.2202

* Thu Sep 26 2013 sander85 <sander85> 1.220.100-1.mga4
+ Revision: 486887
- update to 1.2201

* Fri Jun 07 2013 jquelin <jquelin> 1.220.0-1.mga4
+ Revision: 439637
- update to 1.2200

* Sun Jan 13 2013 umeabot <umeabot> 1.203.400-2.mga3
+ Revision: 370634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.203.400-1.mga3
+ Revision: 306446
- update to 1.2034

* Fri Feb 24 2012 jquelin <jquelin> 1.203.0-1.mga2
+ Revision: 213731
- update to 1.2030

* Thu Jan 05 2012 jquelin <jquelin> 1.202.710-1.mga2
+ Revision: 191237
- update to 1.20271

* Fri Oct 14 2011 jquelin <jquelin> 1.202.600-1.mga2
+ Revision: 154794
- update to 1.2026

* Mon Sep 26 2011 jquelin <jquelin> 1.202.500-1.mga2
+ Revision: 148476
- update to 1.2025
- update to 1.2024

* Wed Jun 15 2011 jquelin <jquelin> 1.202.300-1.mga2
+ Revision: 107203
- update to 1.2023

* Tue Apr 12 2011 jquelin <jquelin> 1.202.200-1.mga1
+ Revision: 83782
- update to 1.2022

* Tue Feb 22 2011 jquelin <jquelin> 1.202.0-1.mga1
+ Revision: 56708
- update to 1.2020

* Mon Jan 24 2011 jquelin <jquelin> 1.201.900-1.mga1
+ Revision: 37112
- mageia rebuild
- imported package perl-Net-IMAP-Simple


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.201.900-1mdv2011.0
+ Revision: 623082
- update to new version 1.2019

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.201.800-1mdv2011.0
+ Revision: 596625
- update to 1.2018

* Fri Sep 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.201.600-1mdv2011.0
+ Revision: 575593
- update to 1.2016

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.201.500-1mdv2011.0
+ Revision: 575398
- update to 1.2015

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.201.200-1mdv2011.0
+ Revision: 569941
- update to 1.2012

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.100-1mdv2011.0
+ Revision: 553968
- update to 1.2001

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 552458
- update to 1.2000

* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1.191.200-1mdv2010.1
+ Revision: 539087
- update to 1.1912

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.191.100-1mdv2010.1
+ Revision: 519953
- update to 1.1911

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.191.0-1mdv2010.1
+ Revision: 461333
- update to 1.1910

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.700-1mdv2010.0
+ Revision: 410682
- update to 1.1907

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.500-1mdv2010.0
+ Revision: 398942
- typo in buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.1905

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.0-1mdv2010.0
+ Revision: 396223
- update to new version 1.1900

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.180.100-1mdv2010.0
+ Revision: 393569
- wrong name during spec cleanup
- update to 1.1801
- using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.17-4mdv2009.0
+ Revision: 258013
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.17-3mdv2009.0
+ Revision: 246118
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2008.0
+ Revision: 77706
- new version


* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2007.0
- new version

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.14-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14
- %%mkrel

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- new release
- spec cleanup

* Mon Aug 01 2005 Pixel <pixel@mandriva.com> 0.103-1mdk
- new release

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.99-1mdk
- 0.99

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.95-1mdk
- 0.95

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.94-1mdk
- 0.94
- drop prefix tag

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.93-1mdk
- first Mandrake release, optional feature for nocatauth

